path: /build/build/lkrg-kernel-5.10-0.9.9.package.tar.zst
dependencies: []
compilespec:
  steps:
  - luet i -y --sync-repos kernel-5.10/macaroni-lts-modules --nodeps && luet cleanup
    && cd /lib/modules/5.10.238-macaroni && ln -s /usr/src/linux-5.10.238-macaroni
    build
  - rm /usr/src/linux/Module.symvers
  - epro list && emerge -j ${JOBS} app-antivirus/lkrg -pv -t
  - |
    emerge -j ${JOBS} app-antivirus/lkrg
  - |
    eval 'rm -rf /lkrg || true' && mkdir /lkrg && \
    luet-portage --dir /lkrg app-antivirus/lkrg
  - for i in /lkrg/lib/modules/5.10.238-macaroni/misc/*.ko ; do xz -z ${i} ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:2a5351f538f54a4154735a43ae3a210313aa7b143e08f7c804a14ecb1efd9646
  package:
    name: lkrg
    version: 0.9.9
    category: kernel-5.10
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.10
    annotations:
      kernel_module: true
    buildtimestamp: 2025-06-18 05:59:52.166783678 +0000 UTC m=+343.875341618
    labels:
      emerge.packages: app-antivirus/lkrg
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.10.238
    treedir: /build/packages
  package_dir: /lkrg
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/etc/.*
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 4c0e742c758fc356192b052f18d5383f5f108c517c33c704f3b3ab1c629ce85e
compressiontype: zstd
files:
- lib/modules/5.10.238-macaroni/misc/lkrg.ko.xz
package_cacheimage: ""
runtime:
  name: lkrg
  version: 0.9.9
  category: kernel-5.10
  annotations:
    kernel_module: true
  labels:
    emerge.packages: app-antivirus/lkrg
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.10.238
